Bug 147048 - (lots of) kernel code still doesn't follow kernel coding style
Summary: (lots of) kernel code still doesn't follow kernel coding style
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL: http://linux.bkbits.net:8080/linux-2....
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-03 23:04 UTC by Robert P. J. Day
Modified: 2015-01-04 22:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 00:02:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert P. J. Day 2005-02-03 23:04:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
  Not a real problem, but some of the kernel source still doesn't
follow the kernel coding style.  Specifically, it's kinda annoying
that some of the source files don't insist that function names that
are part of definitions start in column one, to make it easier to
search for recursively.

  As an example, follow the link in the URL box.  Is it possible to
pass on a request to the kernel guruz to actually get their code to
conform to their standards?  Pretty please?

rday

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.xxx

How reproducible:
Always

Steps to Reproduce:
1. Look at source code.
2.
3.
    

Additional info:

Comment 1 Dave Jones 2005-02-04 00:02:42 UTC
bring it up upstream, this isn't a fedora specific issue.



Note You need to log in before you can comment on or make changes to this bug.